Skip to content

Patch User

PATCH
/api/superadmin/users/{user_id}
curl --request PATCH \
--url https://example.com/api/superadmin/users/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "status": "example", "is_superadmin": true, "first_name": "example", "last_name": "example", "avatar_url": "example", "email": "example" }'

Update user status, superadmin flag, or profile fields.

Handles multiple update types in a single PATCH call.

user_id
required
User Id
string
Media type application/json
PatchUserRequest
object
status
Any of:
string
is_superadmin
Any of:
boolean
first_name
Any of:
string
last_name
Any of:
string
avatar_url
Any of:
string
email
Any of:
string
Example generated
{
"status": "example",
"is_superadmin": true,
"first_name": "example",
"last_name": "example",
"avatar_url": "example",
"email": "example"
}

Successful Response

Media type application/json
SuperAdminUserResponse
object
id
required
Id
string
email
Any of:
string
display_name
required
Display Name
string
avatar_url
Any of:
string
status
required
Status
string
is_superadmin
required
Is Superadmin
boolean
created_at
Any of:
string
updated_at
Any of:
string
Example generated
{
"id": "example",
"email": "example",
"display_name": "example",
"avatar_url": "example",
"status": "example",
"is_superadmin": true,
"created_at": "example",
"updated_at": "example"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}